# -*- rpm-spec -*-

Name: lm_sensors
Version: 2.9.0
Release: alt1.1

Summary: Hardware Health Monitoring Tools
License: GPL
Group: System/Kernel and hardware
Url: http://www.lm-sensors.nu/
Packager: lm_sensors Development Team <lm_sensors@packages.altlinux.org>

Summary(ru_RU.KOI8-R):    

Source: ftp://ftp.netroedge.com/pub/%name/%name-%version.tar.bz2

Patch0: %name-2.6.5-alt-urlview.patch
Patch3: %name-2.8.0-modules_conf_sensor-generation.patch
Patch4: %name-2.9.0-alt-init.patch
Patch5: %name-2.8.4-alt-ipmi-update.patch
Patch6: %name-2.8.8-alt-fix-fancontrol.patch
Patch7: %name-2.9.0-alt-fix-bmcsensors.patch

Requires: libsensors = %version-%release

# Automatically added by buildreq on Sat Jul 19 2003
BuildRequires: flex

%package graph
Summary: Hardware Health Monitoring Tools - graph addon
Group: System/Kernel and hardware
Requires: %name = %version-%release

%package -n libsensors
Summary: Shared library for hardware health monitoring tools
Group: System/Libraries

%package -n libsensors-devel
Summary: Development environment for hardware health monitoring tools
Group: Development/C
Requires: libsensors = %version-%release
Provides: %name-devel = %version
Obsoletes: %name-devel

%package -n libsensors-devel-static
Summary: Static library for developing hardware health monitoring tools
Group: Development/C
Requires: libsensors-devel = %version-%release

%package -n kernel-source-%name
Summary: Linux %name module sources
Group: Development/Kernel

%description
This package contains a collection of user space tools for general SMBus
access and hardware monitoring.  SMBus, also known as System Management Bus,
is a protocol for communicating through a I2C ('I squared C') bus.  Many modern
mainboards have a System Management Bus.  There are a lot of devices which can
be connected to a SMBus; the most notable are modern memory chips with EEPROM
memories and chips for hardware monitoring.

Most modern mainboards incorporate some form of hardware monitoring chips.
These chips read things like chip temperatures, fan rotation speeds and
voltage levels.  There are quite a few different chips which can be used
by mainboard builders for approximately the same results.

%description graph
This package adds a graphics draw temperature plugin.

If you want to install this package you'll also need ImageMagick
and gnuplot tools.

%description -n libsensors
This package contains shared library required for user space applications
for general SMBus access and hardware monitoring.  SMBus, also known as
System Management Bus, is a protocol for communicating through a I2C
('I squared C') bus.  Many modern mainboards have a System Management Bus.
There are a lot of devices which can be connected to a SMBus; the most
notable are modern memory chips with EEPROM memories and chips for hardware
monitoring.

%description -n libsensors-devel
This package contains environment for development of user space applications
for general SMBus access and hardware monitoring.  SMBus, also known as
System Management Bus, is a protocol for communicating through a I2C
('I squared C') bus.  Many modern mainboards have a System Management Bus.
There are a lot of devices which can be connected to a SMBus; the most
notable are modern memory chips with EEPROM memories and chips for hardware
monitoring.

%description -n libsensors-devel-static
This package contains static library for development of statically linked
user space applications for general SMBus access and hardware monitoring.

%description -n kernel-source-%name
This package contains %name sources for Linux kernel module

%prep
%setup -q
%patch0 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

find -type f -name \*.orig -print -delete

t="$RPM_SOURCE_DIR/kernel-source-%name-%version"
%__rm -rf "$t"
%__cp -a ./ "$t"
%__mv "$t" .

echo '# Kernel parts disabled' >kernel/Module.mk
echo '# Kernel parts disabled' >kernel/busses/Module.mk
echo 'KERNELCHIPSDIR = kernel/chips' >kernel/chips/Module.mk

%build
make user \
	LINUX=/var/empty \
	I2C_HEADERS=/var/empty \
	CFLAGS="$RPM_OPT_FLAGS" \
	EXLDFLAGS= \
	LIBICONV= \
	PREFIX=%prefix \
	ETCDIR=%_sysconfdir \
	LIBDIR=%_libdir

%install
%set_verify_elf_method strict

%__mkdir_p $RPM_BUILD_ROOT{%_datadir/%name,%_usrsrc/kernel/sources}

%make_install user_install \
	LINUX=/var/empty \
	I2C_HEADERS=/var/empty \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%prefix \
	ETCDIR=%_sysconfdir \
	MANDIR=%_mandir \
	LIBDIR=%_libdir

find prog -type f |while read f; do
	if file -b "$f" |%__grep -Fq ' executable'; then
		if [ ! -f "$RPM_BUILD_ROOT%_bindir/${f##*/}" -a ! -f "$RPM_BUILD_ROOT%_sbindir/${f##*/}" ]; then
			%__install -pv -m755 "$f" $RPM_BUILD_ROOT%_datadir/%name/
		fi
	fi
done

%__chmod 644 $RPM_BUILD_ROOT%_libdir/*.so.*

%__install -p -m755 -D ./prog/init/%name.init %buildroot%_initdir/%name

# Relocate linux headers.
%__mv $RPM_BUILD_ROOT%_includedir/linux $RPM_BUILD_ROOT%_includedir/sensors/

# Make kernel-source tarball.
du -hsc kernel-source-%name-%version
%__tar cjf \
	$RPM_BUILD_ROOT%_usrsrc/kernel/sources/kernel-source-%name-%version.tar.bz2 \
	kernel-source-%name-%version

%post -n libsensors -p %post_ldconfig
%postun -n libsensors -p %postun_ldconfig

%files
%config(noreplace) %_sysconfdir/sensors.conf
%config %_initdir/%name
%_bindir/*
%_sbindir/*
%_datadir/%name
%exclude %_datadir/%name/tellerstats.sh
%exclude %_datadir/%name/lm_sensors.init
%exclude %_datadir/%name/lm_sensors.init.suse
%_man1dir/*
%_man5dir/*
%_man8dir/*
%doc BACKGROUND BUGS CHANGES CONTRIBUTORS INSTALL README* TODO doc/* etc/sensors.conf.eg

%files graph
%dir %_datadir/%name
%_datadir/%name/tellerstats.sh

%files -n libsensors
%_libdir/*.so.*

%files -n libsensors-devel
%_libdir/*.so
%_includedir/sensors
%_man3dir/*

%files -n libsensors-devel-static
%_libdir/*.a

%files -n kernel-source-%name
%_usrsrc/kernel/sources/kernel-source-%name-%version.tar.bz2

%changelog
* Fri Jul 15 2005 Anton D. Kachalov <mouse@altlinux.org> 2.9.0-alt1.1
- multilib support

* Sun Jan 23 2005 Sergey Vlasov <vsu@altlinux.ru> 2.9.0-alt1
- 2.9.0 release.
- Updated alt-init patch.
- Dropped alt-no-c99 patch (fixed upstream).
- Added alt-fix-bmcsensors patch: fix bmcsensors module compilation.

* Sun Oct 10 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.8-alt1
- 2.8.8 release.
- Updated alt-init patch.
- Added alt-fix-fancontrol patch: make fancontrol.pl script parse as Perl
- Added alt-no-c99 patch: do not use C99 code in kernel modules (lm93)

* Sun Jun 06 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.6-alt2
- Fixed alt-init patch:
  + do not stop if some modules are not found (#3967)

* Fri Apr 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.6-alt1
- 2.8.6 release.

* Mon Mar 22 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.5-alt1
- 2.8.5 release.
- Dropped Patch1: makefile-fixes (fixed upstream).

* Sat Feb 28 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.4-alt1
- 2.8.4 release.
- Override EXLDFLAGS to avoid rpath=/usr/lib in executables, and set verify_elf
  method to strict to make sure such problems will be caught in the future.
- Added Patch5 (alt-ipmi-update): Make IPMI-related code (i2c-ipmb, i2c-ipmi)
  compile with the new IPMI patch from http://openipmi.sf.net.

* Wed Feb 04 2004 Sergey Vlasov <vsu@altlinux.ru> 2.8.3-alt1
- 2.8.3 release.
- Removed makefile-install-fix patch (fixed upstream).
- Removed modification of Makefiles to remove -o USER -g GROUP from install
  calls (fixed upstream).
- Updated initscript patch:
  - fixed failure handling
  - added support for SET_LIMITS="no" (do not call "sensors -s" at startup)
  - modified messages in sensors-detect to tell users about the sensors service
    instead of direct modification of startup files (#957)
  - added Linux 2.6.x kernel support (do not try to load i2c-proc on 2.6)

* Mon Dec 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.2-alt1
- 2.8.2 release.
- Do not package example initscripts under %%_datadir (causes broken
  dependencies).
- Added makefile-install-fix patch: fix makefiles for buildroot installation.
- Dropped detect_pcf8574-alt patch (unsafe - this chip cannot be detected
  reliably).
- Dropped makefile-grep-fixes patch (now kernel-headers-modules-%%flavour is
  required for kernel modules compilation).

* Sun Oct 19 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.1-alt1
- 2.8.1 release.

* Tue Aug 19 2003 Ed V. Bartosh <ed@sam-solutions.net> 2.8.0-alt6
- sensors-detect: detection of PCF8574 and PCF8574a chipsets added
- sensors-detect: generate /etc/modutils.d/lm_sensors instead of /etc/modules.conf.sensor

* Fri Aug  1 2003 Ed V. Bartosh <ed@sam-solutions.net> 2.8.0-alt5
- check for existance of /etc/sysconfig/lm_sensors added

* Tue Jul 29 2003 Ed V. Bartosh <ed@sam-solutions.net> 2.8.0-alt4
- generation of /etc/modules.conf.sensor added
- init script is installed

* Mon Jul 28 2003 Dmitry V. Levin <ldv@altlinux.org> 2.8.0-alt3
- libsensors: stripped off executable bits from shared library.
- libsensors-devel:
  + packaged %_includedir/sensors directory;
  + packaged %_includedir/linux directory into %_includedir/sensors/.
- lm_sensors: removed outdated kernel dependence.
- Specfile cleanup.

* Wed Jul 23 2003 Ed V. Bartosh <ed@sam-solutions.net> 2.8.0-alt2
- kernel-source-lm_sensors package added

* Tue Jul 22 2003 Sergey Vlasov <vsu@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Nov 11 2002 Dmitry V. Levin <ldv@altlinux.org> 2.6.5-alt2
- Fixed url handler patch.
- Updated dependencies.
- Use subst instead of perl for build.

* Mon Nov 11 2002 Rider <rider@altlinux.ru> 2.6.5-alt1
- 2.6.5

* Thu May 23 2002 Dmitry V. Levin <ldv@altlinux.org> 2.6.3-alt1
- 2.6.3

* Mon Nov 26 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.6.2-alt1
- 2.6.2

* Thu Sep 06 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.6.1-alt1
- 2.6.1
- Moved static library to devel-static subpackage.

* Thu Aug 16 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.6.0-alt2
- Moved tellerstats.sh script to graph subpackage (too many requires).

* Wed Aug 15 2001 Dmitry V. Levin <ldv@altlinux.ru> 2.6.0-alt1
- 2.6.0
- Build with kernel headers (instead of sources).

* Mon Feb 12 2001 Dmitry V. Levin <ldv@fandra.org> 2.5.5-ipl2mdk
- Fixed incorrect autorequires.

* Tue Jan 23 2001 Dmitry V. Levin <ldv@fandra.org> 2.5.5-ipl1mdk
- 2.5.5
- Libification.

* Fri Nov 24 2000 Dmitry V. Levin <ldv@fandra.org> 2.5.4-ipl1mdk
- 2.5.4
- FHSification.

* Wed Jul 12 2000 Dmitry V. Levin <ldv@fandra.org> 2.5.2-ipl1mdk
- 2.5.2

* Wed May 31 2000 Dmitry V. Levin <ldv@fandra.org>
- RE adaptions.

* Fri May 16 2000 Dmitry V. Levin <ldv@fandra.org>
- 2.5.0

* Sun Jan 30 2000 Dmitry V. Levin <ldv@fandra.org>
- 2.4.5

* Wed Nov 17 1999 Dmitry V. Levin <ldv@fandra.org>
- 2.4.3

* Wed Oct 06 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions.

* Fri Sep 03 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- compiled for kernel 2.2.112
- added scripts in %prefix/lib/lm_sensors
- added man page
- mandrake adaptions

* Sun May  2 1999  Ian Macdonald <ianmacd@xs4all.nl>
- compiled for kernel 2.2.7

* Sun Apr 25 1999  Ian Macdonald <ianmacd@xs4all.nl>
- compiled for kernel 2.2.6
- hyphen changed to underscore in version number to satisfy RPM 3.0

* Mon Apr  5 1999  Ian Macdonald <ianmacd@xs4all.nl>
- compiled for kernel 2.2.5

* Wed Mar 24 1999  Ian Macdonald <ianmacd@xs4all.nl>
- compiled for kernel 2.2.4

* Tue Mar  8 1999  Ian Macdonald <ianmacd@xs4all.nl>
- compiled for kernel 2.2.3

* Fri Feb 26 1999  Ian Macdonald <ianmacd@xs4all.nl>
- updated to lm_sensors 2.2.2 and compiled for kernel 2.2.2
- added /etc/sensors.conf
- added %post and %postun scripts


